%define	upstream_name	 Exception-Class
%define upstream_version 1.36

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A module that allows you to declare real exception classes in Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Data::Inheritable) >= 0.20.0
BuildRequires: perl(Devel::StackTrace) >= 1.200.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(base)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

Requires:   perl-Class-Data-Inheritable >= 0.02
Requires:   perl-Devel-StackTrace >= 0.9
%description
This module allows you to declare hierarchies of exception classes for use
in your code. It also provides a simple exception class that it uses as the
default base class for all other exceptions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changes LICENSE lib/Exception/Class.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Exception
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.360.0-2.mga3
+ Revision: 366988
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.360.0-1.mga3
+ Revision: 342152
- update to 1.36

* Wed Sep 26 2012 jquelin <jquelin> 1.350.0-1.mga3
+ Revision: 297976
- update to 1.35

* Mon Sep 17 2012 jquelin <jquelin> 1.340.0-1.mga3
+ Revision: 294979
- update to 1.34

* Fri Jan 21 2011 jquelin <jquelin> 1.320.0-2.mga1
+ Revision: 28529
- mageia rebuild
- imported package perl-Exception-Class

